# vim: set ts=2 sw=2 sts=2 et:
#
# Data
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\LanguageLabel:
  - { name: "Permissions checking failed", translations: [{ code: en, label: "Not enough permissions to run the process. Make sure the following permissions are set (UNIX-like systems only).<br />Such permissions are required for a seamless automated installation or upgrade of X-Cart on your server. They do not take into account the specific configuration of your server or any security requirements. Once the process is completed, make sure you change the permissions to a more restrictive setting. <a target='_blank' href='https://support.x-cart.com/en/articles/5209902-secure-server-configuration#h_c90319c9a0'>Read more</a>" }] }
  - { name: 'file_permissions.error_message_2', translations: [{ code: en, label: 'Not enough permissions to run the process. Make sure the following permissions are set (UNIX-like systems only):<br /><div class="permissions-list">{{pathsList}}</div>Such permissions are required for a seamless automated installation or upgrade of X-Cart on your server. They do not take into account the specific configuration of your server or any security requirements. Once the process is completed, make sure you change the permissions to a more restrictive setting. <a target="_blank" href="https://support.x-cart.com/en/articles/5209902-secure-server-configuration#h_c90319c9a0">Read more</a>' }] }
  - { name: "No Phar extension for PHP error", translations: [{ code: en, label: "PHP <a href='//php.net/phar' target='_blank'>.phar</b> extension is not enabled on your server. Here is a <a href='https://support.x-cart.com/en/articles/5223682-phar-setup' target='_blank'>manual</a> for setting up the extension." }] }
  - { name: "No Curl extension for PHP error", translations: [{ code: en, label: "PHP cURL extension is not enabled on your server. Here is a <a href='https://support.x-cart.com/en/articles/5223592-curl-setup' target='_blank'>manual</a> for setting up the extension." }] }
  - { name: "No OpenSSL extension for PHP error", translations: [{ code: en, label: "PHP openSSL extension is not enabled on your server. Here is a <a href='https://support.x-cart.com/en/articles/5223653-openssl-setup' target='_blank'>manual</a> for setting up the extension." }] }
  - { name: "SSL Error", translations: [{ code: en, label: "Your server does not have an SSL certificate. Ask your hosting team to install an SSL certificate or create a self-signed one according to this <a href='https://support.x-cart.com/en/articles/5223666-self-signed-ssl-certificate' target='_blank'>guide</a>." }] }
  - { name: "Also, to manage your redirects you can define 301 redirects in .htaccess file.", translations: [{ code: en, label: "Also, you can adjust your 301 redirects in the .htaccess file (See <a href=\"https://support.x-cart.com/en/articles/4889985-seo-friendly-urls-setup\" target=\"blank\">Setting up seo-friendly URLs</a> for Nginx or IIS configuration), or use a special extension by 3d party module developers (<a href=\"https://market.x-cart.com/addons/redirects-by-Nova-Horizon.html\"  target=\"blank\">Redirects module</a>)" }] }
  - { name: "itemslist.admin.order.search.blank", translations: [{ code: en, label: "<p>There are currently no orders in the store. Once your store has orders, this is where you’ll process and track them. Get accustomed with the order workflow at <a target='_blank' href='https://support.x-cart.com/en/articles/4634599-order-payment-statuses-in-x-cart'>X-Cart Knowledge Base</a>.</p>" }] }
  - { name: "itemslist.admin.product.search.blank", translations: [{ code: en, label: "<p>Products catalog is empty. Start your sales by adding products using the <b>\"Add product\"</b> button or via import. Learn how to configure a product at <a target='_blank' href='https://support.x-cart.com/en/articles/4725762-creating-a-new-product#adding-a-new-product'>X-Cart Knowledge Base</a>.</p>" }] }
  - { name: "itemslist.admin.membership.blank", translations: [{ code: en, label: " <p>There are no memberships in the store. Memberships allow you to group your customers and give them different privileges. You can add them by clicking the <b>\"New membership\"</b> button, Learn more at <a target='_blank' href='https://support.x-cart.com/en/articles/4616340-managing-user-membership-levels#h_924778535b'>X-Cart Knowledge Base</a>.</p>" }] }
  - { name: 'php_disabled_functions.kb_message', translations: [{ code: en, label: 'Check our <a href="https://support.x-cart.com/en/collections/2932850-x-cart-software-installation-security#disabled-functions" target="_blank">Knowledge Base</a> in order to find out how to solve the problem with disabled PHP functions.' }] }
  - { name: 'php_pdo_mysql.kb_message', translations: [{ code: en, label: 'Check our <a href="https://support.x-cart.com/en/collections/2932850-x-cart-software-installation-security#disabled-php-extensions" target="_blank">Knowledge Base</a> in order to find out how to solve the problem with PDO extension.' }] }
  - { name: 'file_permissions.kb_message', translations: [{ code: en, label: 'Check our <a href="https://support.x-cart.com/en/collections/2932850-x-cart-software-installation-security#permissionchecking-failed" target="_blank">Knowledge Base</a> in order to find out how to solve the problem with incorrect permissions.' }] }
  - { name: 'doc_blocks_support.label_message', translations: [{ code: en, label: 'Check our <a href="https://support.x-cart.com/en/collections/2932850-x-cart-software-installation-security#permissionchecking-failed" target="_blank">Knowledge Base</a> in order to find out how to solve the problem with incorrect permissions.' }] }
  - { name: 'https_bouncer.kb_message', translations: [{ code: en, label: 'Check our <a href="https://support.x-cart.com/en/collections/2932850-x-cart-software-installation-security#https-bouncer-is-not-installed" target="_blank">Knowledge Base</a> in order to find out how to solve the problem with libCurl library.' }] }
  - { name: "Editing attribute groups on this page won't affect other product classes which use these groups", translations: [{ code: 'en', label: "Editing attribute groups on this page will not affect other product classes that use these groups. Removing a group does not delete attributes from the group, but makes them show up among other attributes having no associated groups. Also, the removed group name will be added to the names of its attributes as a suffix." }] }
  - { name: 'Enable clean URL', translations: [{ code: en, label: 'Clean URL' }] }
  - { name: "Payments", translations: [{ code: en, label: "Payments" }] }
  - { name: "Terms and conditions text", translations: [{ code: en, label: "<a href=\"terms-and-conditions\">Terms and conditions details</a><br /><br />Edit the \"Terms and conditions text\" label via the Admin area" }] }
  - { name: "The confirmation URL link will be emailed to you shortly", translations: [{ code: en, label: "The confirmation URL link will be emailed to you shortly." }] }
  - { name: "About clean urls", translations: [{ code: en, label: "Clean Urls" }] }
  - { name: "These options separated by X, you can change it by modify X label", translations: [{ code: en, label: "Page title consists of the following elements separated by the delimiter \"{{delimiter}}\". You can change the delimiter by editing the <a href=\"{{modify_url}}\">title-delimiter</a> label." }] }
  - { name: "Sign in / sign up", translations: [{ code: en, label: "Sign in / Sign up" }] }
  - { name: 'php_version.label_message', translations: [{ code: en, label: 'PHP versions <b>7.3.0+</b> are currently supported.' }] }

XLite\Model\Config:
  - { name: company_contacts, category: Company, translations: [{ code: en, option_name: 'Contact emails' }] }
  - { name: company_name, category: Company, translations: [{ code: en, option_name: 'Company name', option_comment: "Changing the value of this or any other fields on this page will not affect the signature in your store's email notifications. The signature for notifications can be edited on the <a href=\"/admin/?target=notification_common\">Header, greeting & signature</a> page." }] }
  - { name: origin_use_company, category: Company, translations: [{ code: en, option_name: 'Use your company address as your ship-from address', option_comment: 'See <a href="/admin/?target=settings&page=Company#company-address">company address</a>' }] }
  - { name: orders_department, category: Company, translations: [{ code: en, option_name: 'Sales department' }] }
  - { name: site_administrator, category: Company, translations: [{ code: en, option_name: 'Site administrator' }] }
  - { name: support_department, category: Company, translations: [{ code: en, option_name: 'HelpDesk/Support service' }] }
  - { name: users_department, category: Company, translations: [{ code: en, option_name: 'Customer relations' }] }
  - { name: general_options, category: CleanURL, translations: [{ code: en, option_name: 'Website Title, Meta Description and Keywords' }] }
  - { name: page_404, category: CleanURL, type: separator }
  - { name: regular_text_404, category: CleanURL, type: XLite\View\FormField\Textarea\AdvancedProxiedLabel, orderby: 14520 }
  - { name: show_email_404, category: CleanURL, type: XLite\View\FormField\Input\Checkbox\OnOff, orderby: 14540, value: 1, translations: [{ code: en, option_name: 'Show сustomer relations e-mails on 404 page', option_comment: 'Enabling this will display customer relations emails on your 404 page.' }] }
  - { name: page_title_format_separator, category: CleanURL, type: separator, orderby: 14300 }
  - { name: page_title_format, category: CleanURL, type: separator, orderby: 14500, translations: [{ code: en, option_name: 'Page title format' }] }
  - { name: page_title_format_about, category: CleanURL, type: XLite\View\FormField\CleanUrls\AboutPageFormat, orderby: 15000 }

  - name: company_name
    category: CleanURL
    type: XLite\View\FormField\Input\Checkbox\YesNo
    translations:
      - code: en
        option_name: 'Show Company name'
  - name: object_name_in_page_title_order
    category: CleanURL
    type: XLite\View\FormField\Input\Checkbox\YesNo
    translations:
      - code: en
        option_name: 'Show Object name (category, product, etc) in page title at FIRST'
  - name: parent_category_path
    category: CleanURL
    type: XLite\View\FormField\Input\Checkbox\YesNo
    translations:
      - code: en
        option_name: 'Show Parent category'
  - name: default_site_meta_description
    category: CleanURL
    type: XLite\View\FormField\Textarea\SimpleProxiedLabel
    translations:
      - code: en
        option_name: 'Default site meta description'
        option_comment: 'Website description displayed in search engines.'
  - name: default_site_meta_keywords
    category: CleanURL
    type: XLite\View\FormField\Input\TextProxiedLabel
    translations:
      - code: en
        option_name: 'Default site meta keywords'
        option_comment: 'Website Keywords or phrases relevant to your website'

  - { name: design_separator, category: CleanURL, type: 'XLite\View\FormField\Separator\Regular', orderby: 16200 }
  - { name: page_title_format_preview, category: CleanURL, type: XLite\View\FormField\CleanUrls\PageFormatPreview, orderby: 16300 }
  - { name: result_404_page_preview, category: CleanURL, type: XLite\View\FormField\CleanUrls\Result404PagePreview, orderby: 14530 }
  - { name: about_404_page, category: CleanURL, type: XLite\View\FormField\CleanUrls\About404Page, orderby: 14510 }
  - { name: about_default_site_meta_fields, category: CleanURL, type: XLite\View\FormField\CleanUrls\AboutMetaFields, orderby: 10500 }
  - { name: default_site_fields_preview, category: CleanURL, type: XLite\View\FormField\CleanUrls\DefaultSiteFieldsPreview, orderby: 13500 }
  - name: default_site_title
    category: CleanURL
    type: XLite\View\FormField\Input\TextProxiedLabel
    orderby: 11000
    value: 'default-site-title'
    translations:
      - code: en
        option_name: 'Default site title'
        option_comment: 'Website title displayed in search engines.'
  - name: api_info_field
    category: API
    type: XLite\View\FormField\APIWarningField
    orderby: 100
  - name: token_all
    category: API
    type: text
    orderby: 200
    value: 'test_key_rw'
    translations:
      - code: en
        option_name: API key (read/write)
  - name: token_read
    category: API
    type: text
    orderby: 300
    value: 'test_key_ro'
    translations:
      - code: en
        option_name: API key (only read)
